oracle.pgx.api.filter

## Class GraphFilterWithExpression

- java.lang.Object
- - oracle.pgx.api.filter.GraphFilter
  - - oracle.pgx.api.filter.GraphFilterWithExpression

- Direct Known Subclasses:
    EdgeFilter, VertexFilter

      public abstract class GraphFilterWithExpression
      extends GraphFilter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphFilterWithExpression` | `asGraphFilterWithExpression()` Gets this filter object as graph filter with expression, if possible.
    `static GraphFilterWithExpression` | `fromTypeAndExpression(FilterType type, String filterExpression)`
    `String` | `getFilterExpression()`
    `boolean` | `hasExpression()` Checks if this GraphFilter object has an expression associatet with it.

    - ### Methods inherited from class oracle.pgx.api.filter.GraphFilter

      `asBinaryGraphFilterOperation, asEdgeFilter, asVertexFilter, getType, intersect, isBinaryOperation, union`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### asGraphFilterWithExpression

          public final GraphFilterWithExpression asGraphFilterWithExpression()

      Description copied from class: `GraphFilter`
      Gets this filter object as graph filter with expression, if possible. Save to call if `GraphFilter.isBinaryOperation()` evaluates to true.
      Overrides:
        `asGraphFilterWithExpression` in class `GraphFilter`
      Returns:
        the graph filter with expression

    - #### fromTypeAndExpression

          public static GraphFilterWithExpression fromTypeAndExpression(FilterType type,
                                                        String filterExpression)

    - #### getFilterExpression

          public final String getFilterExpression()

    - #### hasExpression

          public final boolean hasExpression()

      Description copied from class: `GraphFilter`
      Checks if this GraphFilter object has an expression associatet with it.
      Overrides:
        `hasExpression` in class `GraphFilter`
      Returns:
        true, if this GraphFilter object has an expression associatet with it

Copyright © 2015. All rights reserved.